Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyProgramElementDoc

    org.codehaus.groovy.groovydoc.GroovyDoc
      org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyDoc

    public interface GroovyProgramElementDoc
    extends GroovyDoc

Method Summary
`GroovyAnnotationRef[]` | `annotations()`
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`int` | `modifierSpecifier()`
`String` | `modifiers()`
`String` | `qualifiedName()`

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### annotations

    public GroovyAnnotationRef[] annotations()

### containingClass

    public GroovyClassDoc containingClass()

### containingPackage

    public GroovyPackageDoc containingPackage()

### isFinal

    public boolean isFinal()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### modifierSpecifier

    public int modifierSpecifier()

### modifiers

    public String modifiers()

### qualifiedName

    public String qualifiedName()

Copyright © 2003-2010 The Codehaus. All rights reserved.